Loading...
Searching...
No Matches
fat.h File Reference

Go to the source code of this file.

## Data Structures

struct | _FatSpecific

## Macros

#define | _(String)
#define | ARCH_ATTR 0x20
#define | BUFFER_SIZE 1024 /* buffer size in sectors (512 bytes) */
#define | DELETED_FLAG 0xe5
#define | DIRECTORY_ATTR 0x10
#define | FAT_ROOT 0
#define | FAT_ROOT_DIR_ENTRY_COUNT 512
#define | FAT_SPECIFIC(fs)
#define | HIDDEN_ATTR 0x02
#define | MAX_FAT12_CLUSTERS 4086
#define | MAX_FAT16_CLUSTERS 65526
#define | MAX_FAT32_CLUSTERS 2000000
#define | READONLY_ATTR 0x01
#define | SYSTEM_ATTR 0x04
#define | VFAT_ATTR 0x0f
#define | VOLUME_LABEL_ATTR 0x08

## Enumerations

enum | _FatType { FAT_TYPE_FAT12 , FAT_TYPE_FAT16 , FAT_TYPE_FAT32 }

## Functions

struct | __attribute__ ((packed)) _FatDirEntry
PedFileSystem * | fat_alloc (const PedGeometry *geom)
int | fat_alloc_buffers (PedFileSystem *fs)
void | fat_free (PedFileSystem *fs)
void | fat_free_buffers (PedFileSystem *fs)
void | fat_print (const PedFileSystem *fs)
int | fat_resize (PedFileSystem *fs, PedGeometry *geom, PedTimer *timer)
int | fat_set_frag_sectors (PedFileSystem *fs, PedSector frag_sectors)

## Variables

PedFileSystemType | fat16_type
PedFileSystemType | fat32_type

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## ARCH_ATTR

#define ARCH_ATTR 0x20

## BUFFER_SIZE

#define BUFFER_SIZE 1024 /* buffer size in sectors (512 bytes) */

## DELETED_FLAG

#define DELETED_FLAG 0xe5

## DIRECTORY_ATTR

#define DIRECTORY_ATTR 0x10

## FAT_ROOT

#define FAT_ROOT 0

## FAT_ROOT_DIR_ENTRY_COUNT

#define FAT_ROOT_DIR_ENTRY_COUNT 512

## FAT_SPECIFIC

#define FAT_SPECIFIC | ( |  | fs | ) |

Value:
((FatSpecific*) fs->type_specific)
FatSpecific
struct _FatSpecific FatSpecific
Definition fat.h:51

## HIDDEN_ATTR

#define HIDDEN_ATTR 0x02

## MAX_FAT12_CLUSTERS

#define MAX_FAT12_CLUSTERS 4086

## MAX_FAT16_CLUSTERS

#define MAX_FAT16_CLUSTERS 65526

## MAX_FAT32_CLUSTERS

#define MAX_FAT32_CLUSTERS 2000000

## READONLY_ATTR

#define READONLY_ATTR 0x01

## SYSTEM_ATTR

#define SYSTEM_ATTR 0x04

## VFAT_ATTR

#define VFAT_ATTR 0x0f

## VOLUME_LABEL_ATTR

#define VOLUME_LABEL_ATTR 0x08

## Enumeration Type Documentation

## _FatType

enum _FatType

Enumerator
FAT_TYPE_FAT12 |
FAT_TYPE_FAT16 |
FAT_TYPE_FAT32 |

## Function Documentation

## __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

## fat_alloc()

PedFileSystem * fat_alloc | ( | const PedGeometry * | geom | ) |

extern

## fat_alloc_buffers()

int fat_alloc_buffers | ( | PedFileSystem * | fs | ) |

extern

## fat_free()

void fat_free | ( | PedFileSystem * | fs | ) |

extern

## fat_free_buffers()

void fat_free_buffers | ( | PedFileSystem * | fs | ) |

extern

## fat_print()

void fat_print | ( | const PedFileSystem * | fs | ) |

extern

## fat_resize()

int fat_resize | ( | PedFileSystem * | fs,
|  | PedGeometry * | geom,
|  | PedTimer * | timer )

extern

## fat_set_frag_sectors()

int fat_set_frag_sectors | ( | PedFileSystem * | fs,
|  | PedSector | frag_sectors )

extern

## Variable Documentation

## fat16_type

PedFileSystemType fat16_type

extern

## fat32_type

PedFileSystemType fat32_type

extern